<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:variable name="username" select="/PERSONML/DETAILS/NAME/@username"/>

<xsl:template match="PERSONML">
<html>
<head>
<title>Neville Computers: Home Page of 
	<xsl:value-of select="DETAILS/NAME"/>
</title>
</head>
<body background="paper.gif">
	
	<xsl:apply-templates select="DETAILS"/>

<table bgcolor="#800020" width="100%">
<tr><td><font color="#ffffff"><b>Projects</b></font></td>
<td align="right"><font color="#ffffff"><b>
	<xsl:value-of select="count(PROJECT)"/>
 project(s) listed</b></font></td></tr>
</table>

<xsl:if test="count(PROJECT)=0">
	<p>I am sorry, there are no projects available for this employee.</p>
</xsl:if>
<xsl:if test="count(PROJECT) &gt; 0">
	<xsl:apply-templates select="PROJECT"/>
</xsl:if>

	<xsl:apply-templates select="CONTACT"/>
</body>
</html>
</xsl:template>

<xsl:template match="DETAILS">
<table bgcolor="#800020" width="100%">
<tr><td><font color="#ffffff"><b>Details</b></font></td></tr>
</table>
<table width="100%">
<tr><td><blockquote><b>Name: </b> 
	<xsl:value-of select="NAME"/>
</blockquote></td>
<td rowspan="3" align="center">
	<xsl:if test="PHOTO/@active='yes'">
		<img src="{$username}.jpg" width="160" height="140" />
	</xsl:if>
	<xsl:if test="PHOTO/@active='no'">
		<img src="nopicture.jpg" width="160" height="140" />
	</xsl:if>
</td></tr>
<tr><td><blockquote><b>Position: </b> 
	<xsl:choose>
		<xsl:when test="NAME/@grade=1">
			Senior Executive
		</xsl:when>
		<xsl:when test="NAME/@grade=2">
			Executive
		</xsl:when>
		<xsl:when test="NAME/@grade=3">
			Supervisor
		</xsl:when>
		<xsl:when test="NAME/@grade=4">
			Junior Trainee
		</xsl:when>
		<xsl:otherwise>
			Not Specified
		</xsl:otherwise>
	</xsl:choose>
</blockquote></td></tr>
<tr><td><blockquote><b>Department: </b> 
	<xsl:value-of select="DEPT"/>
</blockquote></td></tr>
</table>
</xsl:template>

<xsl:template match="PROJECT">
	<xsl:for-each select=".">
		<p><img src="red.gif"/><b>
			<xsl:value-of select="PROJECTNAME"/>
		</b></p>
		<p>
			<xsl:value-of select="PROJECTBRIEF"/>
		</p>
	</xsl:for-each>
</xsl:template>

<xsl:template match="CONTACT">
<table bgcolor="#800020" width="100%">
<tr><td><font color="#ffffff"><b>Contact</b></font></td></tr>
</table>
<p>Email me at <a href="{$username}@nec.co.uk">
	<xsl:value-of select="$username"/>
@nec.co.uk</a> or call on (0719) 906909 ext. 
	<xsl:value-of select="INTPHONE"/>
. My office is located at 
	<xsl:value-of select="OFFICE"/>
, Neville Towers, Rise Park, Nottingham.</p>
</xsl:template>

</xsl:stylesheet>