<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:variable name="updated" select="/USERSUPPORTML/TBLSHOOT/@updated"/>

<xsl:template match="USERSUPPORTML">

<html>

<title>Neville User Support</title>

<link rel="stylesheet" type="text/css" href="support.css"/>

<body style="background:url('tile.jpg');">
	<xsl:apply-templates/>

	<hr/>
	<p>
		Last Updated: 
		<xsl:value-of select="$updated"/>
	</p>
</body>

</html>

</xsl:template>

<xsl:template match="HEADING">

<h1>
	<xsl:value-of select="."/>
</h1>

<hr/>

</xsl:template>

<xsl:template match="SUBHEADING">

<h3>
	<xsl:value-of select="."/>
</h3>

</xsl:template>

<xsl:template match="ULIST">

<ul>
	<xsl:for-each select="LISTITEM">
		<li><xsl:value-of select="."/></li>
	</xsl:for-each>
</ul>

</xsl:template>

<xsl:template match="EMPH">

<div class="emph">
	<xsl:value-of select="."/>
</div>

</xsl:template>

<xsl:template match="TBLSHOOT">

<p class="center">
<table>
	<tr class="header">
		<td>Problem</td>
		<td>Solution</td>
	</tr>

	<xsl:for-each select="COMPLAINT">
	<tr>
		<td><xsl:value-of select="DESCRIPTION"/></td>
		<td><xsl:apply-templates select="DIAGNOSIS"/></td>
	</tr>
	</xsl:for-each>
</table>
</p>

</xsl:template>

<xsl:template match="PARA">

<p>
	<xsl:value-of select="."/>
</p>

</xsl:template>

<xsl:template match="PICTURE">

	<p class="center">
	<a href="{@link}"><img src="{@source}"/>
	</a></p>

</xsl:template>

</xsl:stylesheet>